<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>date time picker</title>
    <link
      rel="stylesheet"
      href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css"
    />
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script>
      $(function () {
        $("#datepicker").datepicker();
      });
    </script>
  </head>
  <body>
    <div class="container">
      <div class="row">
        Date formats: yyyy-mm-dd, yyyymmdd, dd-mm-yyyy, dd/mm/yyyy, ddmmyyyyy
      </div>
      <br />
      <div class="row">
        <div class="col-sm-3">
          <div class="form-group">
            <div class="input-group date" id="datetimepicker1">
              <input type="text" class="form-control" id="datepicker" />
              <span class="input-group-addon"
                ><span class="glyphicon glyphicon-calendar"></span>
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- <script>
      $(function () {
        var bindDatePicker = function () {
          $(".date")
            .datetimepicker({
              format: "YYYY-MM-DD | hh:mm A",
              icons: {
                time: "glyphicon glyphicon-time",
                date: "glyphicon glyphicon-calendar",
                up: "glyphicon glyphicon-chevron-up",
                down: "glyphicon glyphicon-chevron-down",
              },
            })
            .find("input:first")
            .on("blur", function () {
              // check if the date is correct. We can accept dd-mm-yyyy and yyyy-mm-dd.
              // update the format if it's yyyy-mm-dd
              var date = parseDate($(this).val());

              if (!isValidDate(date)) {
                //create date based on momentjs (we have that)
                date = moment().format("YYYY-MM-DD | hh:mm A");
              }

              $(this).val(date);
            });
        };

        var isValidDate = function (value, format) {
          format = format || false;
          // lets parse the date to the best of our knowledge
          if (format) {
            value = parseDate(value);
          }

          var timestamp = Date.parse(value);

          return isNaN(timestamp) == false;
        };

        var parseDate = function (value) {
          var m = value.match(/^(\d{1,2})(\/|-)?(\d{1,2})(\/|-)?(\d{4})$/);
          if (m)
            value =
              m[5] +
              "-" +
              ("00" + m[3]).slice(-2) +
              "-" +
              ("00" + m[1]).slice(-2);

          return value;
        };

        bindDatePicker();
      });
    </script> -->
  </body>
</html>
